Skip to main content
POST
/
radius
/
accounts
Create an Account
curl --request POST \
  --url https://v1.api.altostrat.io/radius/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "username": "<string>",
  "password": "<string>",
  "status": "<string>",
  "container_id": "<string>",
  "groups": [
    "<string>"
  ],
  "tags": [
    "<string>"
  ]
}
'
import requests

url = "https://v1.api.altostrat.io/radius/accounts"

payload = {
"username": "<string>",
"password": "<string>",
"status": "<string>",
"container_id": "<string>",
"groups": ["<string>"],
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
username: '<string>',
password: '<string>',
status: '<string>',
container_id: '<string>',
groups: ['<string>'],
tags: ['<string>']
})
};

fetch('https://v1.api.altostrat.io/radius/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "username": "<string>",
  "container_id": "<string>",
  "group_count": 123,
  "check_attributes": [
    {
      "attribute": "<string>",
      "op": "<string>",
      "value": "<string>"
    }
  ],
  "reply_attributes": [
    {
      "attribute": "<string>",
      "op": "<string>",
      "value": "<string>"
    }
  ],
  "metadata": {},
  "tags": [
    "<string>"
  ],
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
username
string
required
password
string
required
status
string
required
container_id
string
groups
string[]
tags
string[]

Response

201 - application/json

The account was created successfully.

id
string
username
string
status
enum<string>
Available options:
active,
disabled
container_id
string | null
group_count
integer
check_attributes
object[]
reply_attributes
object[]
metadata
object
tags
string[]
created_at
string
updated_at
string